A rich content template.

Use Client.getContentTemplates to request all the templates available for the current account.

### Hierarchy

- ContentTemplate

## Index

### Properties

- dateCreated
- dateUpdated
- friendlyName
- sid
- variables
- variants

## Properties

### Readonly dateCreated

dateCreated: Date

Date of creation.

### Readonly dateUpdated

dateUpdated: Date

Date of the last update.

### Readonly friendlyName

friendlyName: string

Friendly name used to describe the content. Not visible to the recipient.

### Readonly sid

sid: string

The server-assigned unique identifier for the template.

### Readonly variables

variables: ContentTemplateVariable[]

Variables used by this template.

### Readonly variants

variants: Map<string, ContentData>

Variants of the content. See ContentData.